package jp.co.ois.sample.rabbitmqconsumer;

import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.stereotype.Component;

import lombok.extern.slf4j.Slf4j;


@Slf4j
@Component
public class HogeConsumer {

    @RabbitListener(queues = "hogeQ", containerFactory="myFactory")
    void receivedQ(String message) throws InterruptedException {
        log.info("Message received: {} ", message);
        Thread.sleep(200);
    }

    @RabbitListener(queues = "hogeP", containerFactory="myFactory")
    void receivedP(String message) throws InterruptedException {
        log.info("Message received: {} ", message);
        Thread.sleep(200);
    }
}
